/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.service;

import java.util.Date;

/**
 * NodeInfo object used to send to the Flex client part.
 * @author Florent Benoit
 */
public class NodeInfo {

    /**
     * Date of this node.
     */
    public Date date = null;

    /**
     * ID of this node.
     */
    public String id = null;

    /**
     * Application of this node.
     */
    public String application = null;

    /**
     * Name of this node.
     */
    public String name = null;

    /**
     * Description of this node.
     */
    public String desc = null;

    /**
     * Type of this node.
     */
    public String type = null;

    /**
     * Depth of this node.
     */
    public int depth = 0;

    /**
     * Execution time of this node.
     */
    public double execTime = 0;

    /**
     * Children (IDs) of this node.
     */
    public String[] localChildren = null;
}
