/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.service;

import java.io.Serializable;

/**
 * Listener for audit notifications.
 *
 * @author Mathieu Ancelin
 */
public class ServerHealth implements Serializable {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -1719233594334737330L;

    private long globalCounter = 0;

    private double globalMeanTime = 0;

    private double gobalTotalTime = 0;

    private long ejbCounter = 0;

    private double ejbMeanTime = 0;

    private double ejbTotalTime = 0;

    private long webCounter = 0;

    private double webMeanTime = 0;

    private double webTotalTime = 0;

    private long jndiCounter = 0;

    private double jndiMeanTime = 0;

    private double jndiTotalTime = 0;

    private String globalTrend = "flat";

    private String globalDurationTrend = "flat";

    private String EJBTrend = "flat";

    private String EJBDurationTrend = "flat";

    private String WEBTrend = "flat";

    private String WEBDurationTrend = "flat";

    private String JNDITrend = "flat";

    private String JNDIDurationTrend = "flat";

    public long getGlobalCounter() {
        return globalCounter;
    }

    public void setGlobalCounter(final long globalCounter) {
        this.globalCounter = globalCounter;
    }

    public double getGlobalMeanTime() {
        return globalMeanTime;
    }

    public void setGlobalMeanTime(final double globalMeanTime) {
        this.globalMeanTime = globalMeanTime;
    }

    public double getGobalTotalTime() {
        return gobalTotalTime;
    }

    public void setGobalTotalTime(final double gobalTotalTime) {
        this.gobalTotalTime = gobalTotalTime;
    }

    public long getEjbCounter() {
        return ejbCounter;
    }

    public void setEjbCounter(final long ejbCounter) {
        this.ejbCounter = ejbCounter;
    }

    public double getEjbMeanTime() {
        return ejbMeanTime;
    }

    public void setEjbMeanTime(final double ejbMeanTime) {
        this.ejbMeanTime = ejbMeanTime;
    }

    public double getEjbTotalTime() {
        return ejbTotalTime;
    }

    public void setEjbTotalTime(final double ejbTotalTime) {
        this.ejbTotalTime = ejbTotalTime;
    }

    public long getWebCounter() {
        return webCounter;
    }

    public void setWebCounter(final long webCounter) {
        this.webCounter = webCounter;
    }

    public double getWebMeanTime() {
        return webMeanTime;
    }

    public void setWebMeanTime(final double webMeanTime) {
        this.webMeanTime = webMeanTime;
    }

    public double getWebTotalTime() {
        return webTotalTime;
    }

    public void setWebTotalTime(final double webTotalTime) {
        this.webTotalTime = webTotalTime;
    }

    public long getJndiCounter() {
        return jndiCounter;
    }

    public void setJndiCounter(final long jndiCounter) {
        this.jndiCounter = jndiCounter;
    }

    public double getJndiMeanTime() {
        return jndiMeanTime;
    }

    public void setJndiMeanTime(final double jndiMeanTime) {
        this.jndiMeanTime = jndiMeanTime;
    }

    public double getJndiTotalTime() {
        return jndiTotalTime;
    }

    public void setJndiTotalTime(final double jndiTotalTime) {
        this.jndiTotalTime = jndiTotalTime;
    }

    public String getGlobalTrend() {
        return globalTrend;
    }

    public void setGlobalTrend(final String globalTrend) {
        this.globalTrend = globalTrend;
    }

    public String getGlobalDurationTrend() {
        return globalDurationTrend;
    }

    public void setGlobalDurationTrend(final String globalDurationTrend) {
        this.globalDurationTrend = globalDurationTrend;
    }

    public String getEJBTrend() {
        return EJBTrend;
    }

    public void setEJBTrend(final String EJBTrend) {
        this.EJBTrend = EJBTrend;
    }

    public String getEJBDurationTrend() {
        return EJBDurationTrend;
    }

    public void setEJBDurationTrend(final String EJBDurationTrend) {
        this.EJBDurationTrend = EJBDurationTrend;
    }

    public String getWEBTrend() {
        return WEBTrend;
    }

    public void setWEBTrend(final String WEBTrend) {
        this.WEBTrend = WEBTrend;
    }

    public String getWEBDurationTrend() {
        return WEBDurationTrend;
    }

    public void setWEBDurationTrend(final String WEBDurationTrend) {
        this.WEBDurationTrend = WEBDurationTrend;
    }

    public String getJNDITrend() {
        return JNDITrend;
    }

    public void setJNDITrend(final String JNDITrend) {
        this.JNDITrend = JNDITrend;
    }

    public String getJNDIDurationTrend() {
        return JNDIDurationTrend;
    }

    public void setJNDIDurationTrend(final String JNDIDurationTrend) {
        this.JNDIDurationTrend = JNDIDurationTrend;
    }
}
